Index: scripts/patch/readline-patch.sh
===================================================================
--- scripts/patch/readline-patch.sh	(revision 2803d79bb448e4003e963fbba6c8f262887f0e73)
+++ scripts/patch/readline-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-	echo "$0 - Readline_Version"
-	echo "This will Create a Patch for Readline Readline_Version"
+  echo "$0 - Readline_Version"
+  echo "This will Create a Patch for Readline Readline_Version"
+  exit 255
 fi
 
@@ -27,5 +28,5 @@
 #
 if ! [ -e readline-${VERSION}.tar.gz ]; then
-	wget ftp://ftp.cwru.edu/pub/bash/readline-${VERSION}.tar.gz
+  wget ftp://ftp.cwru.edu/pub/bash/readline-${VERSION}.tar.gz
 fi
 
@@ -44,36 +45,36 @@
 COUNT=1
 while [ ${COUNT} -le ${FILES} ]; do
-	cd /tmp/readline-${VERSION}           
-	DLCOUNT="${COUNT}"
-	SKIPME=no
-	if [ "${COUNT}" -lt "100" ]; then
-		DLCOUNT="0${COUNT}"
-	fi
-	if [ "${COUNT}" -lt "10" ]; then
-		DLCOUNT="00${COUNT}"
-	fi
-	for skip in ${SKIPPATCH} ; do
-		if [ "${DLCOUNT}" = "$skip" ]; then
-			echo "Patch readline${VERSION2}-${DLCOUNT} skipped"
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-			SKIPME=yes
-		fi
-	done
-	if [ "${SKIPME}" != "yes" ]; then
-		if ! [ -e ${VERSION}.${DLCOUNT} ]; then
-			wget --quiet ${PATCHURL}/readline${VERSION2}-${DLCOUNT}
-		fi
-		cd ${CURRENTDIR}
-		patch --dry-run -s -f -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
-		if [ "$?" = "0" ]; then
-			echo "Patch readline${VERSION2}-${DLCOUNT} applied"
-			patch -s -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
-		else
-			echo "Patch readline${VERSION2}-${DLCOUNT} not applied"
-			rm -f /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-		fi
-	fi
-	COUNT=`expr ${COUNT} + 1`
+  cd /tmp/readline-${VERSION}           
+  DLCOUNT="${COUNT}"
+  SKIPME=no
+  if [ "${COUNT}" -lt "100" ]; then
+    DLCOUNT="0${COUNT}"
+  fi
+  if [ "${COUNT}" -lt "10" ]; then
+    DLCOUNT="00${COUNT}"
+  fi
+  for skip in ${SKIPPATCH} ; do
+    if [ "${DLCOUNT}" = "$skip" ]; then
+      echo "Patch readline${VERSION2}-${DLCOUNT} skipped"
+      SKIPPED="${SKIPPED} ${DLCOUNT}"
+      SKIPME=yes
+    fi
+  done
+  if [ "${SKIPME}" != "yes" ]; then
+    if ! [ -e ${VERSION}.${DLCOUNT} ]; then
+      wget --quiet ${PATCHURL}/readline${VERSION2}-${DLCOUNT}
+    fi
+    cd ${CURRENTDIR}
+    patch --dry-run -s -f -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+    if [ "$?" = "0" ]; then
+      echo "Patch readline${VERSION2}-${DLCOUNT} applied"
+      patch -s -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+    else
+      echo "Patch readline${VERSION2}-${DLCOUNT} not applied"
+      rm -f /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+      SKIPPED="${SKIPPED} ${DLCOUNT}"
+     fi
+    fi
+    COUNT=`expr ${COUNT} + 1`
 done
 
@@ -83,11 +84,11 @@
 #
 for dir in $(find * -type d); do
-	cd /usr/src/readline-${VERSION}/${dir}
-	for file in $(find . -name '*~'); do
-		rm -f ${file}
-	done
-	for file in $(find . -name '*.orig'); do
-		rm -f ${file}
-	done
+  cd /usr/src/readline-${VERSION}/${dir}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
 done
 cd /usr/src/readline-${VERSION}
@@ -104,9 +105,8 @@
 echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> readline-${VERSION}-branch_update-x.patch
 if [ -n "${SKIPPED}" ]; then
-	echo "            Thee following patches were skipped" >> readline-${VERSION}-branch_update-x.patch
-	echo "            ${SKIPPED}" >> readline-${VERSION}-branch_update-x.patch
+  echo "            Thee following patches were skipped" >> readline-${VERSION}-branch_update-x.patch
+  echo "            ${SKIPPED}" >> readline-${VERSION}-branch_update-x.patch
 fi
 echo "" >> readline-${VERSION}-branch_update-x.patch
 diff -Naur readline-${VERSION}.orig readline-${VERSION} >> readline-${VERSION}-branch_update-x.patch
 echo "Created /usr/src/readline-${VERSION}-branch_update-x.patch."
-
